## org.apache.fop.pdf
Class PDFGoToRemote

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFAction
                  |
                  +--org.apache.fop.pdf.PDFGoToRemote

public class PDFGoToRemote
extends PDFAction

class representing a /GoToR object.

Field Summary
`protected PDFFileSpec` `pdfFileSpec` the file specification

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFGoToRemote(int number, PDFFileSpec pdfFileSpec)` create an GoToR object.

Method Summary
`java.lang.String` `getAction()` return the action string which will reference this object
`byte[]` `toPDF()` represent the object in PDF

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pdfFileSpec

    protected PDFFileSpec pdfFileSpec

  the file specification

Constructor Detail

### PDFGoToRemote

    public PDFGoToRemote(int number,
                         PDFFileSpec pdfFileSpec)

  create an GoToR object.
  Parameters:
    `number` - the object's number
    `fileSpec` - the fileSpec associated with the action

Method Detail

### getAction

    public java.lang.String getAction()

  return the action string which will reference this object
  Overrides:
    getAction in class PDFAction
  Returns:
    the action String

### toPDF

    public byte[] toPDF()

  represent the object in PDF
  Overrides:
    toPDF in class PDFAction
  Returns:
    the PDF string

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.